Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1964669 - Smartphone as card reader doesnt' work
Summary: Smartphone as card reader doesnt' work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: AusweisApp2
Version: 34
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Björn 'besser82' Esser
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-05-25 19:40 UTC by bvoss.srvc
Modified: 2021-09-24 20:12 UTC (History)
2 users (show)

Fixed In Version: AusweisApp2-1.22.2-3.fc34 AusweisApp2-1.22.2-3.el8 AusweisApp2-1.22.2-3.fc33 AusweisApp2-1.22.2-3.fc35
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-01 20:31:31 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description bvoss.srvc 2021-05-25 19:40:49 UTC
escription of problem: Using the smartphone as card reader doesn't work. I can successfully pair my smartphone but when trying to authenticate with the German ID card the remote service is not working. The phone app shows "Waiting for connection from paired device".


Version-Release number of selected component (if applicable): AusweisApp2-1.20.2-9


How reproducible:


Steps to Reproduce:
1. Open AusweisApp2 on the computer and smartphone
2. Pair smartphone and pc
3. Click on "See my personal data" and "Proceed to PIN entry"

Actual results:

AusweisApp2 shows "No card reader detected" When entering the settings the paired smartphone is shown as available.


Expected results:

Use smartphone as card reader to identify using the German ID card


Additional Info:
re-report of https://bugzilla.redhat.com/show_bug.cgi?id=1885366 against F34 which was closed without solution.

Comment 1 Fedora Update System 2021-08-31 07:16:47 UTC
FEDORA-2021-b025f69683 has been submitted as an update to Fedora 34. https://bodhi.fedoraproject.org/updates/FEDORA-2021-b025f69683

Comment 2 Fedora Update System 2021-08-31 07:16:56 UTC
FEDORA-EPEL-2021-7e4f239518 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-7e4f239518

Comment 3 Fedora Update System 2021-08-31 07:17:05 UTC
FEDORA-2021-ae621237b4 has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2021-ae621237b4

Comment 4 Fedora Update System 2021-08-31 07:17:13 UTC
FEDORA-2021-5729f02f4c has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2021-5729f02f4c

Comment 5 Fedora Update System 2021-08-31 17:57:23 UTC
FEDORA-2021-ae621237b4 has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-ae621237b4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-ae621237b4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2021-08-31 22:04:33 UTC
FEDORA-2021-5729f02f4c has been pushed to the Fedora 33 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-5729f02f4c`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-5729f02f4c

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2021-08-31 22:25:52 UTC
FEDORA-EPEL-2021-7e4f239518 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2021-7e4f239518

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2021-08-31 22:53:15 UTC
FEDORA-2021-b025f69683 has been pushed to the Fedora 34 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2021-b025f69683`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2021-b025f69683

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2021-09-01 20:31:31 UTC
FEDORA-2021-b025f69683 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2021-09-01 20:34:52 UTC
FEDORA-EPEL-2021-7e4f239518 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2021-09-01 20:49:39 UTC
FEDORA-2021-5729f02f4c has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2021-09-24 20:12:04 UTC
FEDORA-2021-ae621237b4 has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.